/**
 * XmlContentHandler.java
 *
 * Created on 6 Sep 2010 20:49:33
 */
package org.blueoxygen.cimande.rest.handler;

import java.io.Writer;

import com.thoughtworks.xstream.XStream;

/**
 * @author Dian Aditya
 *
 */
public class XmlContentHandler implements ContentHandler {

	public void fromObject(Object object, Writer writer) {
		XStream xStream = new XStream();
		xStream.toXML(object, writer);
	}

	public String getContentType() {
		return "application/xml";
	}

	public String getExtension() {
		return "xml";
	}

}
