package org.blueoxygen.cimande.security.rsp.actions;

import java.util.ArrayList;
import java.util.List;
import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.modulefunction.ModuleFunction;
import org.blueoxygen.cimande.role.Role;
import org.blueoxygen.cimande.role.RoleSite;
import org.blueoxygen.cimande.role.RoleSitePrivilage;
import org.blueoxygen.cimande.role.actions.servicewfrole.ServiceWfRole;
import org.blueoxygen.cimande.rolesite.service.ServiceRoleSite;
import org.blueoxygen.cimande.rolesiteprivilage.service.RoleSitePrivilageService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado aldo.donal@gmail.com
 *******************************/

public class Master extends CimandeAction {
	private Role role = new Role();
	private RoleSite roleSite = new RoleSite();
	private ModuleFunction mfunction = new ModuleFunction();
	private RoleSitePrivilage rsp = new RoleSitePrivilage();
	private List<RoleSitePrivilage> rsps = new ArrayList<RoleSitePrivilage>();
	private List<RoleSite> roleSites = new ArrayList<RoleSite>();
	private List<List<RoleSite>> roleSitess = new ArrayList<List<RoleSite>>();
	private List<Role> roles = new ArrayList<Role>();
	private String idRole = "";
	protected @Autowired
	ServiceRoleSite rsService;
	protected @Autowired
	ServiceWfRole roleService;
	protected @Autowired
	RoleSitePrivilageService rspService;

	public String execute() {

		if (role.getId() != null && !"".equalsIgnoreCase(role.getId())) {
			idRole = role.getId();
			role = roleService.getRoleById(role.getId());

			while (role != null) {
				roleSites = rsService.getList(role.getId(), 1);
				roleSitess.add(roleSites);
				role = role.getParentId();
			}
			role = roleService.getRoleById(idRole);

		}
		if (roleSite.getId() != null && !"".equalsIgnoreCase(roleSite.getId())) {
			roleSite = rsService.getRoleSiteById(roleSite.getId());
			rsps = rspService.getList(roleSite.getId(), 1);
		}
		roles = roleService.getAllRoles(ob.name());
		model.put("role", role);
		model.put("rolesitelist", roleSites);
		model.put("roleSite", roleSite);
		model.put("rolelist", roles);
		model.put("listroleSitess", roleSitess);

		return SUCCESS;
	}

	public RoleSitePrivilage getRsp() {
		return rsp;
	}

	public void setRsp(RoleSitePrivilage rsp) {
		this.rsp = rsp;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public RoleSite getRoleSite() {
		return roleSite;
	}

	public void setRoleSite(RoleSite SiteroleSite) {
		this.roleSite = SiteroleSite;
	}

	public List<RoleSite> getRoleSites() {
		return roleSites;
	}

	public void setRoleSites(List<RoleSite> roleSites) {
		this.roleSites = roleSites;
	}

	public List<Role> getRoles() {
		return roles;
	}

	public void setRoles(List<Role> roles) {
		this.roles = roles;
	}

	public List<RoleSitePrivilage> getRsps() {
		return rsps;
	}

	public void setRsps(List<RoleSitePrivilage> rsps) {
		this.rsps = rsps;
	}

	public ModuleFunction getMfunction() {
		return mfunction;
	}

	public void setMfunction(ModuleFunction mfunction) {
		this.mfunction = mfunction;
	}

}