package org.blueoxygen.cimande.security.usermanager.actions;

import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.usermanager.UserSite;
import org.blueoxygen.cimande.site.Site;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class AddUserSite extends UserSiteForm {
	private Site site = new Site();
	private User user = new User();
	private UserSite us = new UserSite();

	public String execute() {

		if (site.getId() != null && !"".equalsIgnoreCase(site.getId())) {
			site = stservice.getSiteById(site.getId());
			if (user.getId() != null && !"".equalsIgnoreCase(user.getId())) {
				user = service.getUserbyId(user.getId());
			}
			getUserSite().setUser(getUser());
			getUserSite().setSite(getSite());
			usservice.save(getUserSite());
		}
		return SUCCESS;
	}

	public Site getSite() {
		return site;
	}

	public void setSite(Site site) {
		this.site = site;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public UserSite getUs() {
		return us;
	}

	public void setUs(UserSite us) {
		this.us = us;
	}

}
