/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.security.usermanager.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;

/*******************************
 * @author Praditya Eldorado
 * 		   aldo.donal@gmail.com
 *******************************/

public class ViewUser extends CimandeAction {

	protected User user;
	private String id;
	protected @Autowired
	UserService service;

	public String execute() {
		user = service.getUserbyId(user.getId());
		model.put("user", user);

		if (user == null) {
			addActionError("Cannot find such descriptor");
			return ERROR;
		} else {
			return SUCCESS;
		}
	}

}