/**
 * 
 */
package org.blueoxygen.cimande.sitemanager.yuitree;

import javax.inject.Inject;

import org.blueoxygen.cimande.commons.CimandeModuleAction;
import org.blueoxygen.cimande.sitemanager.yuitree.treenode.TreeNodeFactory;

/**
 * @author Dian Aditya
 * 
 */
public class TreeGenerator extends CimandeModuleAction {

	@Inject
	private TreeNodeFactory treeNodeFactory;

	public String execute() throws Exception {
		String node = request.getParameter("node") + "";

		model.clear();
		if (node.equalsIgnoreCase("") || node.equalsIgnoreCase("src")
				|| node.equalsIgnoreCase("null")) {
			model.put("root", treeNodeFactory.getTreeNodes(getCurrentUser()));
		} else {
			model.put("root", rootModel = treeNodeFactory.getTreeChild(node));
		}

		return SUCCESS;
	}
}
