/**
 * 
 */
package org.blueoxygen.cimande.commons.converter;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;

import org.apache.struts2.util.StrutsTypeConverter;

/**
 * @author Dian Aditya
 * 
 */
public class StringDateTypeConverter extends StrutsTypeConverter {

	public Object convertFromString(Map context, String[] values, Class toClass) {

		DateFormat dateFormater = new SimpleDateFormat("dd-MM-yyyy");
		Date date = null;

		try {
			date = dateFormater.parse(values[0]);
		} catch (ParseException e) {
			e.printStackTrace();
		}

		return date;
	}

	public String convertToString(Map context, Object o) {
		if (o instanceof Date) {
			Date date = (Date) o;
			SimpleDateFormat dateFormat = new SimpleDateFormat("dd-MM-yyyy");

			return dateFormat.format(date);
		}

		return o + "";
	}

}
