/*******************************************************************************
 * Copyright (c) 2004 BlueOxygen Technology.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the BlueOxygen Software License v1.0
 * which accompanies this distribution, and is available at
 *
 * Contributors:
 *     BlueOxygen Team - initial API and implementation
 *******************************************************************************/

package org.blueoxygen.cimande.company.actions;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.company.Company;
import org.blueoxygen.cimande.company.service.CompanyService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author Gurki
 * 
 *         TODO To change the template for this generated type comment go to
 *         Window - Preferences - Java - Code Style - Code Templates
 */
public class ViewCompany extends CimandeAction {

	protected @Autowired
	CompanyService service;

	protected Company company;
	private String id;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Company getCompany() {
		return company;
	}

	public String execute() {
		company = service.getCompanyById(getId());
		rootModel = company;

		if (company == null) {
			addActionError("Cannot find such descriptor");
			return ERROR;
		} else {
			return SUCCESS;
		}
	}

}