/**
 * ContentHandlerManager.java
 *
 * Created on 6 Sep 2010 15:26:51
 */
package org.blueoxygen.cimande.rest.manager;

import java.io.IOException;
import java.util.Map;

import org.blueoxygen.cimande.rest.handler.ContentHandler;

/**
 * @author Dian Aditya
 *
 */
public interface ContentHandlerManager {
	String DEFAULT_EXTENSION_PREFIX = "cimande.rest.extension.prefix";

	Map<String, ContentHandler> getHandlerByExtension();

	Map<String, ContentHandler> getHandlerByContentType();

	void writeObject(ContentHandler handler, Object target) throws IOException;
}
