package org.blueoxygen.cimande.rolesite;

import org.blueoxygen.cimande.role.RoleSite;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class SaveRoleSite extends RoleSiteForm {
	private RoleSite rolesite = new RoleSite();

	public String execute() {
		if (getRole().getId() != null
				&& !"".equalsIgnoreCase(getRole().getId())) {
			setRole(roleService.getRoleById(getRole().getId()));
		} else {
			addActionError("Select role first");
			return "select_role";
		}
		if (getSite().getId() != null
				&& !"".equalsIgnoreCase(getSite().getId())) {
			setSite(siteService.getSiteById(getSite().getId()));
		} else {
			return INPUT;
		}
		getRolesite().setRole(getRole());
		getRolesite().setSite(getSite());
		service.save(getRolesite());
		return SUCCESS;
	}
}
