package org.blueoxygen.cimande.security.usermanager.actions;

import java.util.ArrayList;
import java.util.List;

import org.blueoxygen.cimande.commons.CimandeAction;
import org.blueoxygen.cimande.security.User;
import org.blueoxygen.cimande.security.user.service.UserService;
import org.blueoxygen.cimande.security.usermanager.UserSite;
import org.blueoxygen.cimande.security.usermanager.service.UserSiteService;
import org.blueoxygen.cimande.site.Site;
import org.blueoxygen.cimande.site.service.SiteService;
import org.springframework.beans.factory.annotation.Autowired;

public class UserSiteForm extends CimandeAction {
	private User user = new User();
	private Site site = new Site();
	private UserSite userSite = new UserSite();
	private List<UserSite> userSites = new ArrayList<UserSite>();
	protected @Autowired
	UserService service;
	protected @Autowired
	SiteService stservice;
	protected @Autowired
	UserSiteService usservice;

	public String execute() {
		if (getUser().getId() != null
				&& !"".equalsIgnoreCase(getUser().getId())) {
			user  = service.getUserbyId(user.getId());
			setUserSites(manager.getList("FROM " + UserSite.class.getName()
					+ " ur WHERE ur.user.id='" + getUser().getId() + "'", null,
					null));
		}

		model.put("user", user);
		model.put("usersitelist", getUserSites());

		return SUCCESS;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Site getSite() {
		return site;
	}

	public void setSite(Site site) {
		this.site = site;
	}

	public UserSite getUserSite() {
		return userSite;
	}

	public void setUserSite(UserSite userSite) {
		this.userSite = userSite;
	}

	public List<UserSite> getUserSites() {
		return userSites;
	}

	public void setUserSites(List<UserSite> userSites) {
		this.userSites = userSites;
	}
}
