/*******************************************************************************
 * Copyright (c) 2005 BlueOxygen Technology.
 *******************************************************************************/
package org.blueoxygen.cimande.site.actions;

import org.blueoxygen.cimande.site.Site;

/*******************************
 * @author Praditya Eldorado 
 *         aldo.donal@gmail.com
 *******************************/

public class EditSite extends SiteForm {

	public String execute() {

		Site site = service.getSiteById(getId());

		rootModel = site;

		if (site == null) {
			addActionError("Cannot find such site");
			return ERROR;
		} else {
			setName(site.getName());
			setDescription(site.getDescription());
			setTitle(site.getTitle());
			setUrl_branding(site.getUrl_branding());
			setSite_url(site.getSite_url());
			setAdmin_email(site.getAdmin_email());
			setNotify_flag(site.getNotify_flag());
			setNotify_from(site.getNotify_from());
			setNotify_message(site.getNotify_message());
			setNotify_email(site.getNotify_email());
			setWorkspace_type(site.getWorkspace_type());
			setActiveFlag(site.getLogInformation().getActiveFlag());
			setParentId(String.valueOf(site.getParentId()));
			getSite().setParentId(site.getParentId());
			setGenerateKey(site.getSecret_key());
		}

		return SUCCESS;
	}
}
