/**
 *
 */
package org.blueoxygen.cimande.sitemanager;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.blueoxygen.cimande.modulefunction.ModuleFunction;
import org.blueoxygen.cimande.persistence.GenericPersistenceManager;
import org.blueoxygen.cimande.persistence.PersistenceManager;

/**
 * @author chibi
 * @author Dian Aditya
 * 
 */
public class FlatChildGenerator {

	private ModuleFunction moduleFunction = null;
	private String rootId = "";
	private String sId = "";
	private String FlatJS = "", variableNode = "";
	private int i, Node;
	private GenericPersistenceManager pm;
	private HttpServletRequest request;
	// default variable
	String mySQL;

	public FlatChildGenerator(String rootId, String variableNode, int Node,
			GenericPersistenceManager manager, HttpServletRequest request)
			throws ClassNotFoundException, Exception {
		this.rootId = rootId;
		this.sId = rootId;
		this.moduleFunction = (ModuleFunction) manager.getById(
				ModuleFunction.class, rootId);
		this.Node = Node;
		this.variableNode = variableNode;
		this.pm = manager;
		this.request = request;
	}

	/**
	 * return root id
	 */
	public String getRootId() {
		return this.rootId;
	}

	/**
	 * return moduleFunction
	 */
	public ModuleFunction getRoot() {
		return this.moduleFunction;
	}

	public int getChildCount() throws ClassNotFoundException, SQLException,
			Exception {
		/**
		 * modified in 24 july'06 using hibernate
		 */
		mySQL = "FROM "
				+ ModuleFunction.class.getName()
				+ " mf WHERE mf.logInformation.activeFlag='1' AND mf.moduleFunction.id='"
				+ this.sId + "'";
		List temp = new ArrayList();
		temp = pm.getList(mySQL, null, null);
		return temp.size();
	}

	public String getFlatJS() throws ClassNotFoundException, SQLException,
			Exception {

		FlatChildGenerator FlatChild;

		String sParentId = "";
		i = 0;
		mySQL = "FROM mf in " + ModuleFunction.class
				+ " WHERE mf.moduleFunction.id = '" + this.sId
				+ "' ORDER BY(mf.description)";
		List<ModuleFunction> modules = new ArrayList<ModuleFunction>();
		modules = (List<ModuleFunction>) pm.getList(mySQL, null, null);

		for (ModuleFunction mf : modules) {

			sParentId = mf.getId();

			// add to List
			ModuleFunction mFunction = (ModuleFunction) pm.getById(
					ModuleFunction.class, sParentId);

			int totalChild;
			FlatChild = new FlatChildGenerator(mFunction.getId(), variableNode
					+ "_" + Node, i, pm, request);

			totalChild = FlatChild.getChildCount();

			// check the child after this object. if > 0 mean generate leaf
			// descriptor
			if (totalChild > 0) {
				// FlatJS = FlatJS +
				// "<div class=\"pkg\"><h3>"+mf.getDescription()+"</h3><div class=\"pkg-body\">";
				// //dbTreeChild.getDescription();
				FlatJS = FlatJS + FlatChild.getFlatJS();
				// FlatJS = FlatJS + "</div></div>";
			} else {
				String sActionFlag = "", sUrlAction = "";
				/*
				 * check the record in descriptor table if the action_flag = 1
				 * means url_action else the node is url_descriptor value
				 */

				sActionFlag = String.valueOf(mf.getModuleDescriptor()
						.getTypeFlag());

				if (sActionFlag.equals("1")) {
					sUrlAction = mf.getModuleDescriptor().getUrlAction() + "&";
				} else if (sActionFlag.equals("2")) {
					sUrlAction = request.getContextPath() + "/module/"
							+ mf.getModuleDescriptor().getName() + "/";
				} else if (sActionFlag.equals("3")) {
					sUrlAction = request.getContextPath()
							+ "/module/window/genform?window.id="
							+ mf.getModuleDescriptor().getWindow().getId()
							+ "&";
				} else {
					sUrlAction = request.getContextPath() + "/descriptor/"
							+ mf.getModuleDescriptor().getUrlDescriptor() + "?";
				}

				// check the child after this object. if > 0 mean generate
				// branch module

				FlatJS = FlatJS + "<li><a href=\"" + sUrlAction
						+ "create\" target=\"main\">" + mf.getDescription()
						+ "</a></li>"; // dbTreeChild.getDescription();

				// new action <a href="output/hello.html">New</a>
				/*
				 * if (sActionFlag.equals("2")) { // - new_formula /{uri}/{new}
				 * FlatJS = FlatJS + "<a href=\""+sUrlAction+"create\">New</a>";
				 * } else { FlatJS = FlatJS +
				 * "<a href=\""+sUrlAction+"action=new\">New</a>"; }
				 * 
				 * // search action if (sActionFlag.equals("2")) { // -
				 * search_formula /{uri}/{new} FlatJS = FlatJS +
				 * "<a href=\""+sUrlAction+"filter\">Search</a>"; } else {
				 * FlatJS = FlatJS +
				 * "<a href=\""+sUrlAction+"action=search\">Search</a>"; }
				 * FlatJS = FlatJS + "</div></div>";
				 */
			}
			i++;
		}
		return FlatJS;

	}

}
